<?php

/**
 * @license LGPLv3, http://opensource.org/licenses/LGPL-3.0
 * @copyright Metaways Infosystems GmbH, 2012
 * @copyright Aimeos (aimeos.org), 2014-2023
 */

/* Available data:
 * - mediaItems : Media items incl. referenced items
 */

$enc = $this->encoder();


?>

<div class="product-details-img">
    <div class="product-dec-slider-2">

        <?php
        if (($imgNum = count($this->get('mediaItems', []))) > 0) { ?>

            <?php
            $index = 0;
            foreach ($this->get('mediaItems', []) as $id => $mediaItem) { ?>
                <?php
                $previews = $mediaItem->get('media.previews'); ?>
                <?php
                $preview_240 = $previews[240] ?? null; ?>
                <img src="<?= $preview_240 ?>" alt="">
                <?php
                $index++; } ?>
        <?php
        } ?>

    </div>
    <div class="zoompro-wrap zoompro-2 pl-20">
        <div class="zoompro-border zoompro-span">
            <?php
            if (($imgNum = count($this->get('mediaItems', []))) > 0) { ?>

                <?php
                $index = 0;
                foreach ($this->get('mediaItems', []) as $id => $mediaItem) { ?>
                    <?php
                    $mediaUrl = $mediaItem->get('media.url');
                    $mediaMediumImg = $mediaItem->get('media.previews')[720]; ?>
                    <img class='' src="<?= $mediaMediumImg ?>" alt="<?= $mediaMediumImg ?>"
                         data-zoom-image="<?= $mediaUrl ?>">
                    <?php
                    $index++; } ?>
            <?php
            } ?>
        </div>
    </div>
</div>

